import {
  ProjectParams,
  ProjectListGetResultModel,
  ProjectModel,
} from '@/api/project/model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  //分页查询变更记录
  GetList = '/pro/change-visa/page',
  changeSignatureGetList = '/pro/reportCenter/change-visa/list',
  //根据id查询详情
  GetDetail = '/pro/change-visa/find-byid',
  //新增
  Add = '/pro/change-visa/add',
  //修改
  Update = '/pro/change-visa/update',
  //删除 一个、
  DeleteOne = '/pro/change-visa/del-id',
  // http://58.223.177.48:8088/pro/change-visa/del-id

  //审核
  Audit = '/pro/change-visa/byId-examine',
  //http://58.223.177.48:8088/pro/change-visa/byId-examine
  //批量删除
  DeleteList = '/pro/change-visa/delete-id',
  // 判断季度选是否已存在
  CheckQuarter = '/pro/change-visa/is-change',
}
export const getSettlementManageList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const getChangeSignatureList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.changeSignatureGetList, data: params });
// 根据id 查询详情
export const getItem = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.GetDetail,
    params,
  });

/**
 * @description: 新增
 */
export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.Add,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
/**
 * @description: 修改
 */
export const updateItem = (params?: any) => {
  return defHttp.put<ProjectModel>({
    url: Api.Update,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
};

//审核接口
export const auditItem = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.Audit,
    params,
  });

/**
 * 批量删除
 */
export const deleteList = (params?: any) =>
  defHttp.delete<ProjectModel>({
    url: Api.DeleteList,
    params,
  });

/**
 * 删除一个
 */
export const deleteOne = (params?: any) =>
  defHttp.delete<ProjectModel>({
    url: Api.DeleteOne,
    params,
  });

export const checkQuarter = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.CheckQuarter,
    params,
  });
